# Mangrana dockers configuration
## Note
This is the configuration of the dockers (image, volumes, ports...), not the configuration of each application, which is hidden from the public audience because it uses to contain sensitive information, such as endpoints and access credentials. By this reason, I've enabled a two repository capability, so that I can persist the public and private domain information separately even though they live together in the same folder tree.
## What is this about?
These sort of dockers conforms the majority of the services that represents my Automated Home Cinema system.
### Streaming service?
Yes, **Plex** is the streaming application, but without video files it makes nothing, so here it comes the other services
### Files
For adquiring the movies and the tv shows there are a set of satellite services that charge this responsability. These are **Radarr** and **Sonarr**, with the help of **Prowlarr** but they needs a torrent downloader and that one is **QBit**, which also is assisted with **qbit_manage** which provides some usefull automations.
### Other services
Later we have other services, for example the one the users use to request new things is **Overseer**. **Tautulli** is to track the activity of the streamings and **Homarr** is a presentation tool that for example allows users to have an entry point web with an easy to remember URL: [mangrana.tv](https://mangrana.tv), and also is very useful to provide an admin dashboard like which I have:

![Admin Dashboard](misc/mangrana_dockers.png)
#### Own services?
Yes I also have own services written in Java that shape processes with tuned personalizations (mostly are features that the current services are not able to accomplish by itselves, or some fix to automate common issues/blockers resolution). 
Their configuration is also hidden as it reveals public services URLs and API keys, but their docker configuration can be found at **ownServices** folder.